v1.0.0
OpenAPI 3.1.0

Look up a collection's sync

US region

Client Libraries

Look up a collection's sync

​

Returns the collection's sync, including the last file Customer.io loaded and the last error.

Path Parameters
  • collection_id
    Type: integer
    required

    The identifier for a collection.

Responses
  • application/json
  • 404

    The collection doesn't exist or doesn't have a sync.

  • application/json
Request Example for get/v1/collections/{collection_id}/sync
curl https://api.customer.io/v1/collections/1/sync \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "sync": {
    "collection_id": 12,
    "created_at": "2026-11-02T15:00:00Z",
    "last_error": {
      "at": "2026-11-02T15:31:31Z",
      "message": "could not read daily/2026-11-02.csv: fetch failed: HTTP 403 status"
    },
    "last_file": {
      "applied_at": "2026-11-02T15:31:31Z",
      "path": "daily/2026-11-02.csv",
      "version": "1793630000123456"
    },
    "next_run_at": "2026-11-02T16:31:31Z",
    "poll_hours": 1,
    "prefix": "daily/",
    "source_id": "01JD8X4Q6R2W7N3K5M9P1T0VZC",
    "state": "active",
    "updated_at": "2026-11-02T15:31:31Z"
  }
}